Features Collection

Valued Contributor
Valued Contributor

is there no longer a method to rename a feature in the feature pathfinder in part?  Seems like I was once able to.

9 REPLIES

Re: Features Collection

Sure,  RBM on the feature and select RENAME from the quick Menu or select the Feature and hit F2...

 

 

EDIT:  oops  sorry  did NOT see that htis was posted on teh Developer forum

 

 

===================================================
Matt Johnson
Solid Edge Certified Professional (ST7 & ST8)
Solid Edge ST9 (SEEC) - Production
NX10 (Tc Integration) Pre-Production Testing
Teamcenter 10.1.6

Re: Features Collection

I am able to Change the name via SE Spy...  So i have to assume it's still working. 7-14-2017 12-19-39 PM.png

===================================================
Matt Johnson
Solid Edge Certified Professional (ST7 & ST8)
Solid Edge ST9 (SEEC) - Production
NX10 (Tc Integration) Pre-Production Testing
Teamcenter 10.1.6

Re: Features Collection

Valued Contributor
Valued Contributor

I saw that too.  but in the sdk it lists no method for it.2017-07-14_11-24-24.jpg

Re: Features Collection

looks like the Name property is a member of the SolidEdgePart.SweptCutout --  not of Feature.   i assume

SolidEdgePart.SweptCutout is in the collection of Features..

7-14-2017 12-37-41 PM.png

 

===================================================
Matt Johnson
Solid Edge Certified Professional (ST7 & ST8)
Solid Edge ST9 (SEEC) - Production
NX10 (Tc Integration) Pre-Production Testing
Teamcenter 10.1.6

Re: Features Collection

Valued Contributor
Valued Contributor

it shows up in mine under models2017-07-14_11-42-47.jpg

 

 

Re: Features Collection

sure,  i see it in a few collections but this should provide the class structure to attempt to modify the name...

 

can you share your code up to where you are trying to set the name?

===================================================
Matt Johnson
Solid Edge Certified Professional (ST7 & ST8)
Solid Edge ST9 (SEEC) - Production
NX10 (Tc Integration) Pre-Production Testing
Teamcenter 10.1.6

Re: Features Collection

Valued Contributor
Valued Contributor

oModel = oPartDoc.Models.Item(1);
oFeatures = oModel.Features;
iFeatures = oPartDoc.Models.Item(1).Features.Count;
oFeatures.Item(iFeatures).  This is where I used to be able to set it.  

Re: Features Collection

Phenom
Phenom

No, it won't appear since you are resolving it too far.

Make variable for each object with the right data type and it will show up.

 

Dim oFeature As SolidEdgePart.SweptCutout = oFeatures.Item(iFeatures)
oFeature.Name = "FeatureName"

Re: Features Collection

Valued Contributor
Valued Contributor

That did the trick, thanks!